Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class Cursor

`java.lang.Object
oracle.toplink.queryframework.Cursor`

All Implemented Interfaces:
  java.util.Enumeration, java.io.Serializable

Direct Known Subclasses:
  CursoredStream, ScrollableCursor

public abstract class Cursor
extends java.lang.Object
implements java.util.Enumeration, java.io.Serializable

Purpose: Abstract class for CursoredStream and ScrolableCursor

See Also:
  Serialized Form

Field Summary
`CursorPolicy` | `policy` Object-level read query that initialize the stream.

Method Summary
`void` | `close()` PUBLIC: Closes the stream.
`boolean` | `isClosed()` PUBLIC: Return if the stream is closed.
`int` | `size()` PUBLIC: Retreive the size of the open cursor by executing a count on the same query as the cursor.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Enumeration
`hasMoreElements, nextElement`

Field Detail

### policy

    public transient CursorPolicy policy

  Object-level read query that initialize the stream.

Method Detail

### close

    public void close()
               throws DatabaseException

  PUBLIC: Closes the stream. This should be performed whenever the user has finished with the stream.
  Throws:
    `DatabaseException`

### isClosed

    public boolean isClosed()

  PUBLIC: Return if the stream is closed.

### size

    public int size()
             throws DatabaseException

  PUBLIC: Retreive the size of the open cursor by executing a count on the same query as the cursor. If this cursor is conforming size() can only be an estimate. cursor size plus number of conforming instances found in memory will be returned. The union (actual result) may be smaller than this.
  Throws:
    `DatabaseException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD